Skip to content
Navigation

Update share access gate

PUT
https://api.sureshake.com/v2/reports/{id}/shares/{shareId}/access-gate

Path parameters

  • id
    string
    required
    format: uuid
  • shareId
    string
    required
    format: uuid

Request body JSON

  • passcode
    optional
    string
    or null
    maxLength: 64 · minLength: 4
  • requireEmailMatch
    optional
    boolean
  • ndaText
    optional
    string
    or null
    maxLength: 20000 · minLength: 20

Returns

200

Default Response

JSON
  • data
    object
    required
    • shareId
      string
      required
      format: uuid
    • passcodeSet
      boolean
      required
    • requireEmailMatch
      boolean
      required
    • sharedWithEmail
      string
      or null
      required
    • ndaText
      string
      or null
      required
    • ndaTextSha256
      string
      or null
      required
      pattern: ^[0-9a-f]{64}$
    • ndaAcceptance
      object
      or null
      required
      • name
        string
        required
      • email
        string
        required
      • acceptedAt
        string
        required
        format: date-time
      • textSha256
        string
        required
        pattern: ^[0-9a-f]{64}$
      • fingerprint
        optional
        string
        or null
        pattern: ^[0-9a-f]{64}$
      • anchorStatus
        optional
        pending
        or
        anchored
        or null
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close